On Mon, Aug 8, 2016 at 10:45 AM, Andrew David Wong <a...@qubes-os.org> wrote:

>
>
> On 2016-08-08 10:31, Dima Puntus wrote:
> > On 2016-08-07 09:29, Dima Puntus wrote:
> >> Hi,
> >>
> >> I'd like to know if there's a way to fix the terrible screen tearing
> >> that I'm getting both on internal laptop screen and external monitor.
> >>
> >> System info:
> >>
> >> HP Elitebook 2570p: *Intel HD4000 graphics* CPU i7-3840QM
> >>
> >> I know there's an Intel Graphics driver for Linux package by 01 dot org,
> >> but I'm unable to install it in dom0 due to multiple dependencies which
> >> are missing. What's the best approach to update the video driver?
> >>
> >> Thank you Dimitry
> >>
> >
> > Are you, by any chance, referring to this?
> >
> > https://github.com/QubesOS/qubes-issues/issues/1028
> >
> >
> > No, the issue is probably more related to vsync and the video driver
> > itself. Whenever moving stuff across the screen or watching videos I can
> > always spot a misalignment between the top and bottom halves of the
> > screen. Needless to say that the issue doesn't exist in Windows so it's
> not
> > a hardware problem. Also, I see it when using some linux distros but not
> > all. For example, in Mint 18 and KDE NEON seem to be tear free. Wayland
> > video server also fixes the issue. My guess is, qubes uses an older intel
> > driver by default. So my question - is it possible to update it in dom0?
> Is
> > there a guide?
> >
> > Thanks, Dimitry
> >
>
> Yes, here you go:
>
> https://www.qubes-os.org/doc/software-update-dom0/
>
> P.S. - Please keep the list CCed, and please don't top post.
>
>
> Sorry to resurrect this thread. The link above doesn't really help
> (probably because I'm a newbie and missing some solid background in linux
> and xen). Here's the driver I'm trying to install -
> https://01.org/linuxgraphics/downloads
> (intel-linux-graphics-installer-1.4.0-23.intel20161.x86_64.rpm). So far I
> was able to download it through one of the VMs, then copy to Dom0. It's
> missing a dependency - libproxy-mozjs 0.4.10. I can download and copy it to
> Dom0, but for some reason Dom0 doesn't even see the file, let alone install
> it. What am I missing? I really need a decent video driver, the default one
> is only good for terminal.



> Appreciate your help

 Thank You

-- 
You received this message because you are subscribed to the Google Groups 
"qubes-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to qubes-users+unsubscr...@googlegroups.com.
To post to this group, send email to qubes-users@googlegroups.com.
To view this discussion on the web visit 
https://groups.google.com/d/msgid/qubes-users/CAFGffdoczyvGuZy5_TY0BAf_iVM3njB2Pesvum7mANF7okG0JA%40mail.gmail.com.
For more options, visit https://groups.google.com/d/optout.

Reply via email to